import React from 'react';
import { Row, Col, Card, Button } from 'antd';
import { PlusOutlined } from '@ant-design/icons';
import Page from '@/components/Page';
import CheckForm from './components/CheckForm';
import { useSearchParams } from 'react-router-dom';
import { getTaCheckById } from '@/service/tacheck';
import { getTaCheckItem } from '@/service/tacheckitem';
import LocTable from './components/LocTable';
import QuList from './components/QuList';

export default (props) => {
  const [searchParams] = useSearchParams();

  const [checkInfo, setCheckInfo] = React.useState();
  const [survey, setSurvey] = React.useState();
  const [tab, setTab] = React.useState('1');

  const id = searchParams.get('id');

  React.useEffect(() => {
    if (id) {
      // 查询测评主表信息
      getTaCheckById(id).then(setCheckInfo);

      // 查询测评调查问卷主表
      getTaCheckItem({checkId: id, itemType: 'survey'}).then(res => {
        if (res.records && res.records[0]) {
          setSurvey(res.records[0])
        }
      })
    }
  }, [id]);

  return (
    <Page>
      <CheckForm
        checkInfo={checkInfo}
        onChange={setCheckInfo}
        onTabChange={setTab}
      />
      <div style={{marginTop: '24px'}}>
      {
        tab == '1' && <LocTable checkId={checkInfo?.checkId} />
      }
      {
        tab == '2' && <QuList itemId={survey?.itemId} itemType="survey" />
      }
      </div>
      {/* <Row gutter={24} style={{marginTop: '24px'}}>
        <Col span={12}>
          <Card title="实例调查" extra={<Button icon={<PlusOutlined />} onClick={() => locRef.current.newQu()}>问题</Button>}>
            <LocForm ref={locRef} checkId={id} />
          </Card>
        </Col>
        <Col span={12}>
          <Card title="问卷调查">
          </Card>
        </Col>
      </Row> */}
    </Page>
  )
}
