import React from 'react';
import { Card } from 'antd';
import * as echarts from 'echarts/core';
import Chart from '@/components/chart';

export default (props) => {

  const option = {
    tooltip: {
      trigger: 'axis',
      axisPointer: {
        type: 'cross',
        label: {
          backgroundColor: '#FB9900'
        }
      }
    },
    grid: {
      left: '3%',
      bottom: '3%',
      width: '92%',
      height: '90%',
      containLabel: true
    },
    xAxis: [
      {
        type: 'category',
        data: ['公益宣传', '环境卫生', '基础设施', '文明素养', '公共秩序', '其他'],
        // boundaryGap: true,
        axisTick: {
          alignWithLabel: true,
        },
        axisLabel: {
          interval: 0,
        }
      }
    ],
    yAxis: [
      {
        type: 'value',
        minInterval: 1
      }
    ],
    series: [
      {
        type: 'bar',
        barWidth: '20%',
        itemStyle: {
          color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
            { offset: 0, color: '#FB9900' },
            { offset: 1, color: '#FFD38F' }
          ])
        },
        data: [2, 1, 2, 3, 2, 1]
      }
    ]
  };

  return (
    <Card title="点位分类" extra={'只显示本年度问题数前10的点位'}>
      <Chart option={option} style={props.style}></Chart>
    </Card>
  )
}